[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.OnColRowMoved

Event handler signalled when a column or row in the grid is moved.

## Declaration

Source position: grids.pas line 1546

`public property TCustomDrawGrid.OnColRowMoved : TGridOperationEvent read FOnColRowMoved write FOnColRowMoved;`

## Description

Signalled from the ColRowMoved method (when assigned). It occurs after the column or row value have been moved using the MoveColRow method in the internal virtual grid for the class instance.

## See also

TCustomDrawGrid.ColRowMoved |  | Performs actions when a column or row is moved in the grid.
TVirtualGrid.MoveColRow |  | Moves a column or a row using the specified index positions.
TGridOperationEvent |  | Defines the event handler signalled when rows or columns are added, deleted or moved in a grid.